<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/* ダッシュアイコンのフロントエンド読み込み */
function haup_if_use_dash_sc_front_style_init(){
	wp_enqueue_style('dashicons');
}
add_action('enqueue_block_assets','haup_if_use_dash_sc_front_style_init');

function haup_dash_icon_insert_js_init(){
	//スクリプトを登録
	wp_register_script(
		'haup-dash-icon-insert',
		plugin_dir_url( __FILE__ ) .'icon-insert.js',
		array( 'lodash', 'wp-rich-text','wp-element','wp-components', 'wp-blocks', 'wp-editor', 'wp-keycodes'),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

	//スクリプトをエンキュー
	wp_enqueue_script('haup-dash-icon-insert');

	//アイコングループのタイトルを渡す（現状必要ないが翻訳可能にできるようにしている）
	$localize_val = array(
		'group1_text' => 'Admin Menu/Welcome Screen/Post Formats',
		'group2_text' => 'Media/Image Editing/Databases',
		'group3_text' => 'Block Editor/TinyMCE/Posts Screen/Sorting',
		'group4_text' => 'Social/WordPress/Buddicons/Products/Taxonomies/Widgets/Notifications',
		'group5_text' => 'Miscellaneous'
		);

	//wp_localize_scriptを使ってスクリプトへ配列を渡す
	wp_localize_script('haup-dash-icon-insert', 'DashIconsGroupTitleVal', $localize_val);

}
add_action('enqueue_block_editor_assets','haup_dash_icon_insert_js_init' , 2);

function haup_admin_dash_icon_insert_style_init(){
		wp_enqueue_style(
			'haup-dash-icon-insert-style',
			plugin_dir_url( __FILE__ ) .'icon-insert-style.css',
			'array()',
			haup_plugin_version(),
		);
}
add_action('enqueue_block_editor_assets','haup_admin_dash_icon_insert_style_init');
